Skip to main content

To protect server security, Microsoft will be actively blocking connectivity and support privileges for many older versions of Outlook in November 2021. Although in the past, older and unsupported versions of Outlook were still able to connect to Microsoft 365 despite restricted performance and reliability, this is no longer the case as the risks to security and functionality are too great to sustain continued use. To continue to use Microsoft services, customers will need to upgrade to the latest supported versions of Office and Microsoft 365 Apps.

 

The versions that will be actively blocked are:

Application

Affected Builds

Build Superseded

Office 2013

15.0.4970.9999
and older

October 2017

Office 2016

16.0.4599.9999
and older

October 2015

Microsoft 365 Apps for Enterprise
(formerly Office 365 ProPlus)

Microsoft 365 Apps for Business
(formerly Office 365 Business

1705 and older

June 2017

 

If you are currently operating on any of the versions listed here, please start to think about upgrading as soon as possible. As November nears, it is important to start your migration to Microsoft 365 Apps, or supported versions of Office, to ensure that your operations continue to run smoothly.

Unsure on where to start? Kick’s team of experts have over 300 years of combined experience, trusted by over 10,000 users with their Microsoft solutions.

We’d appreciate the opportunity to help you through all stages of your upgrade, contact us today to discuss more. We’re here to help.

Cookie Notice

We use cookies to ensure that we give you the best experience on our website.
Click here for more information.